diff --git a/auquotidien/modules/root.py b/auquotidien/modules/root.py
index 253d36b..cd1c71e 100644
--- a/auquotidien/modules/root.py
+++ b/auquotidien/modules/root.py
@@ -34,7 +34,6 @@ from wcs.qommon.tokens import Token
 from wcs.qommon.admin.emails import EmailsDirectory
 from wcs.qommon.admin.texts import TextsDirectory
 
-from .announces import Announce, AnnounceSubscription
 from .myspace import MyspaceDirectory
 from .payments import PublicPaymentDirectory
 from .payments_ui import InvoicesDirectory
@@ -134,493 +133,6 @@ class FormsRootDirectory(wcs.forms.root.RootDirectory):
         return r.getvalue()
 
 
-class AnnounceDirectory(Directory):
-    _q_exports = ['', 'edit', 'delete', 'email']
-
-    def __init__(self, announce):
-        self.announce = announce
-
-    def _q_index(self):
-        template.html_top(_('Announces to citizens'))
-        r = TemplateIO(html=True)
-
-        if self.announce.publication_time:
-            date_heading = '%s - ' % time.strftime(misc.date_format(), self.announce.publication_time)
-        else:
-            date_heading = ''
-
-        r += htmltext('<h3>%s%s</h3>') % (date_heading, self.announce.title)
-
-        r += htmltext('<p>')
-        r += self.announce.text
-        r += htmltext('</p>')
-
-        r += htmltext('<p>')
-        r += htmltext('<a href="../">%s</a>') % _('Back')
-        r += htmltext('</p>')
-        return r.getvalue()
-
-
-class AnnouncesDirectory(Directory):
-    _q_exports = ['', 'subscribe', 'email', 'atom', 'sms', 'emailconfirm',
-            'email_unsubscribe', 'sms_unsubscribe', 'smsconfirm', 'rawlist']
-
-    def _q_traverse(self, path):
-        get_response().breadcrumb.append(('announces/', _('Announces')))
-        return Directory._q_traverse(self, path)
-
-    def _q_index(self):
-        template.html_top(_('Announces to citizens'))
-        r = TemplateIO(html=True)
-        r += self.announces_list()
-        r += htmltext('<ul id="announces-links">')
-        r += htmltext('<li><a href="subscribe">%s</a></li>') % _('Receiving those Announces')
-        r += htmltext('</ul>')
-        return r.getvalue()
-
-    def _get_announce_subscription(self):
-        """ """
-        sub = None
-        if get_request().user:
-            subs = AnnounceSubscription.select(lambda x: x.user_id == get_request().user.id)
-            if subs:
-                sub = subs[0]
-        return sub
-
-    def rawlist(self):
-        get_response().filter = None
-        return self.announces_list()
-
-    def announces_list(self):
-        announces = Announce.get_published_announces()
-        if not announces:
-            raise errors.TraversalError()
-
-        # XXX: will need pagination someday
-        r = TemplateIO(html=True)
-        for item in announces:
-            r += htmltext('<div class="announce-item">\n')
-            r += htmltext('<h4>')
-            if item.publication_time:
-                r += time.strftime(misc.date_format(), item.publication_time)
-                r += ' - '
-            r += item.title
-            r += htmltext('</h4>\n')
-            r += htmltext('<p>\n')
-            r += item.text
-            r += htmltext('\n</p>\n')
-            r += htmltext('</div>\n')
-        return r.getvalue()
-
-
-    def sms(self):
-        sms_mode = get_cfg('sms', {}).get('mode', 'none')
-
-        if sms_mode == 'none':
-            raise errors.TraversalError()
-
-        get_response().breadcrumb.append(('sms', _('SMS')))
-        template.html_top(_('Receiving announces by SMS'))
-        r = TemplateIO(html=True)
-
-        if sms_mode == 'demo':
-            r += TextsDirectory.get_html_text('aq-sms-demo')
-        else:
-            announces_cfg = get_cfg('announces',{})
-            mobile_mask = announces_cfg.get('mobile_mask')
-            if mobile_mask:
-                mobile_mask = ' (' + mobile_mask + ')'
-            else:
-                mobile_mask = ''
-            form = Form(enctype='multipart/form-data')
-            form.add(StringWidget, 'mobile', title = _('Mobile number %s') % mobile_mask, size=12, required=True)
-            form.add_submit('submit', _('Subscribe'))
-            form.add_submit('cancel', _('Cancel'))
-
-            if form.get_submit() == 'cancel':
-                return redirect('subscribe')
-
-            if form.is_submitted() and not form.has_errors():
-                s = self.sms_submit(form)
-                if s == False:
-                    r += form.render()
-                else:
-                    return redirect("smsconfirm")
-            else:
-                r += form.render()
-        return r.getvalue()
-
-    def sms_submit(self, form):
-        mobile = form.get_widget("mobile").parse()
-        # clean the string, remove any extra character
-        mobile = re.sub('[^0-9+]','',mobile)
-        # if a mask was set, validate
-        announces_cfg = get_cfg('announces',{})
-        mobile_mask = announces_cfg.get('mobile_mask')
-        if mobile_mask:
-            mobile_regexp = re.sub('X','[0-9]', mobile_mask) + '$'
-            if not re.match(mobile_regexp, mobile):
-                form.set_error("mobile", _("Phone number invalid ! It must match ") + mobile_mask)
-                return False
-        if mobile.startswith('00'):
-            mobile = '+' + mobile[2:]
-        else:
-            # Default to france international prefix
-            if not mobile.startswith('+'):
-                mobile = re.sub("^0", "+33", mobile)
-        sub = self._get_announce_subscription()
-        if not sub:
-            sub = AnnounceSubscription()
-        if get_request().user:
-            sub.user_id = get_request().user.id
-
-        if mobile:
-            sub.sms = mobile
-
-        if not get_request().user:
-            sub.enabled = False
-
-        sub.store()
-
-        # Asking sms confirmation
-        token = Token(3 * 86400, 4, string.digits)
-        token.type = 'announces-subscription-confirmation'
-        token.subscription_id = sub.id
-        token.store()
-
-        message = _("Confirmation code : %s") % str(token.id)
-        sms_cfg = get_cfg('sms', {})
-        sender = sms_cfg.get('sender', 'AuQuotidien')[:11]
-        mode = sms_cfg.get('mode', 'none')
-        sms = SMS.get_sms_class(mode)
-        try:
-            sms.send(sender, [mobile], message)
-        except errors.SMSError, e:
-            get_logger().error(e)
-            form.set_error("mobile", _("Send SMS confirmation failed"))
-            sub.remove("sms")
-            return False
-
-    def smsconfirm(self):
-        template.html_top(_('Receiving announces by SMS confirmation'))
-        r = TemplateIO(html=True)
-        r += htmltext("<p>%s</p>") % _("You will receive a confirmation code by SMS.")
-        form = Form(enctype='multipart/form-data')
-        form.add(StringWidget, 'code', title = _('Confirmation code (4 characters)'), size=12, required=True)
-        form.add_submit('submit', _('Subscribe'))
-        form.add_submit('cancel', _('Cancel'))
-
-        if form.get_submit() == 'cancel':
-            return redirect('..')
-
-        if form.is_submitted() and not form.has_errors():
-            token = None
-            id = form.get_widget("code").parse()
-            try:
-                token = Token.get(id)
-            except KeyError:
-                form.set_error("code",  _('Invalid confirmation code.'))
-            else:
-                if token.type != 'announces-subscription-confirmation':
-                    form.set_error("code",  _('Invalid confirmation code.'))
-                else:
-                    sub = AnnounceSubscription.get(token.subscription_id)
-                    token.remove_self()
-                    sub.enabled_sms = True
-                    sub.store()
-                    return redirect('.')
-            r += form.render()
-        else:
-            r += form.render()
-
-        return r.getvalue()
-
-    def sms_unsubscribe(self):
-        sub = self._get_announce_subscription()
-
-        form = Form(enctype='multipart/form-data')
-        if not sub:
-            return redirect('..')
-
-        form.add_submit('submit', _('Unsubscribe'))
-        form.add_submit('cancel', _('Cancel'))
-
-        if form.get_submit() == 'cancel':
-            return redirect('..')
-
-        get_response().breadcrumb.append(('sms', _('SMS Unsubscription')))
-        template.html_top()
-        r = TemplateIO(html=True)
-
-        if form.is_submitted() and not form.has_errors():
-            if sub:
-                sub.remove("sms")
-
-            root_url = get_publisher().get_root_url()
-            r += htmltext('<p>')
-            r += _('You have been unsubscribed from announces')
-            r += htmltext('</p>')
-            r += htmltext('<a href="%s">%s</a>') % (root_url, _('Back Home'))
-        else:
-            r += htmltext('<p>')
-            r += _('Do you want to stop receiving announces by sms ?')
-            r += htmltext('</p>')
-            r += form.render()
-
-        return r.getvalue()
-
-
-    def subscribe(self):
-        get_response().breadcrumb.append(('subscribe', _('Subscription')))
-        template.html_top(_('Receiving Announces'))
-        r = TemplateIO(html=True)
-
-        r += TextsDirectory.get_html_text('aq-announces-subscription')
-
-        sub = self._get_announce_subscription()
-
-        r += htmltext('<ul id="announce-modes">')
-        if sub and sub.email:
-            r += htmltext(' <li>')
-            r += htmltext('<span id="par_mail">%s</span>') % _('Email (currently subscribed)')
-            r += htmltext(' <a href="email_unsubscribe" rel="popup">%s</a></li>') % _('Unsubscribe')
-        else:
-            r += htmltext(' <li><a href="email" id="par_mail" rel="popup">%s</a></li>') % _('Email')
-        if sub and sub.sms:
-            r += htmltext(' <li>')
-            if sub.enabled_sms:
-                r += htmltext('<span id="par_sms">%s</span>') % _('SMS %s (currently subscribed)') % sub.sms
-            else:
-                r += htmltext('<span id="par_sms">%s</span>') % _('SMS %s (currently not confirmed)') % sub.sms
-                r += htmltext(' <a href="smsconfirm" rel="popup">%s</a> ') % _('Confirmation')
-            r += htmltext(' <a href="sms_unsubscribe" rel="popup">%s</a></li>') % _('Unsubscribe')
-        elif get_cfg('sms', {}).get('mode', 'none') != 'none':
-            r += htmltext(' <li><a href="sms" id="par_sms">%s</a></li>') % _('SMS')
-        r += htmltext(' <li><a class="feed-link" href="atom" id="par_rss">%s</a>') % _('Feed')
-        r += htmltext('</ul>')
-        return r.getvalue()
-
-    def email(self):
-        get_response().breadcrumb.append(('email', _('Email Subscription')))
-        template.html_top(_('Receiving Announces by email'))
-        r = TemplateIO(html=True)
-
-        form = Form(enctype='multipart/form-data')
-        if get_request().user:
-            if get_request().user.email:
-                r += htmltext('<p>')
-                r += _('You are logged in and your email is %s, ok to subscribe ?') % \
-                        get_request().user.email
-                r += htmltext('</p>')
-                form.add_submit('submit', _('Subscribe'))
-            else:
-                r += htmltext('<p>')
-                r += _("You are logged in but there is no email address in your profile.")
-                r += htmltext('</p>')
-                form.add(EmailWidget, 'email', title = _('Email'), required = True)
-                form.add_submit('submit', _('Subscribe'))
-                form.add_submit('submit-remember', _('Subscribe and add this email to my profile'))
-        else:
-            r += htmltext('<p>')
-            r += _('FIXME will only be used for this purpose etc.')
-            r += htmltext('</p>')
-            form.add(EmailWidget, 'email', title = _('Email'), required = True)
-            form.add_submit('submit', _('Subscribe'))
-
-        form.add_submit('cancel', _('Cancel'))
-
-        if form.get_submit() == 'cancel':
-            return redirect('subscribe')
-
-        if form.is_submitted() and not form.has_errors():
-            s = self.email_submit(form)
-            if s is not False:
-                return s
-        else:
-            r += form.render()
-
-        return r.getvalue()
-
-    def email_submit(self, form):
-        sub = self._get_announce_subscription()
-        if not sub:
-            sub = AnnounceSubscription()
-
-        if get_request().user:
-            sub.user_id = get_request().user.id
-
-        if form.get_widget('email'):
-            sub.email = form.get_widget('email').parse()
-        elif get_request().user.email:
-            sub.email = get_request().user.email
-
-        if not get_request().user:
-            sub.enabled = False
-
-        sub.store()
-
-        if get_request().user:
-            r = TemplateIO(html=True)
-            root_url = get_publisher().get_root_url()
-            r += htmltext('<p>')
-            r += _('You have been subscribed to the announces.')
-            r += htmltext('</p>')
-            r += htmltext('<a href="%s">%s</a>') % (root_url, _('Back Home'))
-            return r.getvalue()
-
-        # asking email confirmation before subscribing someone
-        token = Token(3 * 86400)
-        token.type = 'announces-subscription-confirmation'
-        token.subscription_id = sub.id
-        token.store()
-        data = {
-            'confirm_url': get_request().get_url() + 'confirm?t=%s&a=cfm' % token.id,
-            'cancel_url': get_request().get_url() + 'confirm?t=%s&a=cxl' % token.id,
-            'time': misc.localstrftime(time.localtime(token.expiration)),
-        }
-
-        emails.custom_template_email('announces-subscription-confirmation',
-                data, sub.email, exclude_current_user = False)
-
-        r = TemplateIO(html=True)
-        root_url = get_publisher().get_root_url()
-        r += htmltext('<p>')
-        r += _('You have been sent an email for confirmation')
-        r += htmltext('</p>')
-        r += htmltext('<a href="%s">%s</a>') % (root_url, _('Back Home'))
-        return r.getvalue()
-
-    def emailconfirm(self):
-        tokenv = get_request().form.get('t')
-        action = get_request().form.get('a')
-
-        root_url = get_publisher().get_root_url()
-
-        try:
-            token = Token.get(tokenv)
-        except KeyError:
-            return template.error_page(
-                    _('The token you submitted does not exist, has expired, or has been cancelled.'),
-                    continue_to = (root_url, _('home page')))
-
-        if token.type != 'announces-subscription-confirmation':
-            return template.error_page(
-                    _('The token you submitted is not appropriate for the requested task.'),
-                    continue_to = (root_url, _('home page')))
-
-        sub = AnnounceSubscription.get(token.subscription_id)
-
-        if action == 'cxl':
-            r = TemplateIO(html=True)
-            root_url = get_publisher().get_root_url()
-            template.html_top(_('Email Subscription'))
-            r += htmltext('<h1>%s</h1>') % _('Request Cancelled')
-            r += htmltext('<p>%s</p>') % _('The request for subscription has been cancelled.')
-            r += htmltext('<p>')
-            r += htmltext(_('Continue to <a href="%s">home page</a>') % root_url)
-            r += htmltext('</p>')
-            token.remove_self()
-            sub.remove_self()
-            return r.getvalue()
-
-        if action == 'cfm':
-            token.remove_self()
-            sub.enabled = True
-            sub.store()
-            r = TemplateIO(html=True)
-            root_url = get_publisher().get_root_url()
-            template.html_top(_('Email Subscription'))
-            r += htmltext('<h1>%s</h1>') % _('Subscription Confirmation')
-            r += htmltext('<p>%s</p>') % _('Your subscription to announces is now effective.')
-            r += htmltext('<p>')
-            r += htmltext(_('Continue to <a href="%s">home page</a>') % root_url)
-            r += htmltext('</p>')
-            return r.getvalue()
-
-    def atom(self):
-        response = get_response()
-        response.set_content_type('application/atom+xml')
-
-        from pyatom import pyatom
-        xmldoc = pyatom.XMLDoc()
-        feed = pyatom.Feed()
-        xmldoc.root_element = feed
-        feed.title = get_cfg('misc', {}).get('sitename') or 'Publik'
-        feed.id = get_request().get_url()
-
-        author_email = get_cfg('emails', {}).get('reply_to')
-        if not author_email:
-            author_email = get_cfg('emails', {}).get('from')
-        if author_email:
-            feed.authors.append(pyatom.Author(author_email))
-
-        announces = Announce.get_published_announces()
-
-        if announces and announces[0].modification_time:
-            feed.updated = misc.format_time(announces[0].modification_time,
-                        '%(year)s-%(month)02d-%(day)02dT%(hour)02d:%(minute)02d:%(second)02dZ',
-                        gmtime = True)
-        feed.links.append(pyatom.Link(get_request().get_url(1) + '/'))
-
-        for item in announces:
-            entry = item.get_atom_entry()
-            if entry:
-                feed.entries.append(entry)
-
-        return str(feed)
-
-    def email_unsubscribe(self):
-        sub = self._get_announce_subscription()
-
-        form = Form(enctype='multipart/form-data')
-        if not sub:
-            form.add(EmailWidget, 'email', title = _('Email'), required = True)
-
-        form.add_submit('submit', _('Unsubscribe'))
-        form.add_submit('cancel', _('Cancel'))
-
-        if form.get_submit() == 'cancel':
-            return redirect('..')
-
-        get_response().breadcrumb.append(('email', _('Email Unsubscription')))
-        template.html_top()
-        r = TemplateIO(html=True)
-
-        if form.is_submitted() and not form.has_errors():
-            if sub:
-                sub.remove("email")
-            else:
-                email = form.get_widget('email').parse()
-                for s in AnnounceSubscription.select():
-                    if s.email == email:
-                        s.remove("email")
-
-            root_url = get_publisher().get_root_url()
-            r += htmltext('<p>')
-            r += _('You have been unsubscribed from announces')
-            r += htmltext('</p>')
-            r += htmltext('<a href="%s">%s</a>') % (root_url, _('Back Home'))
-
-        else:
-            r += htmltext('<p>')
-            r += _('Do you want to stop receiving announces by email?')
-            r += htmltext('</p>')
-            r += form.render()
-
-        return r.getvalue()
-
-    def _q_lookup(self, component):
-        try:
-            announce = Announce.get(component)
-        except KeyError:
-            raise errors.TraversalError()
-
-        if announce.hidden:
-            raise errors.TraversalError()
-
-        get_response().breadcrumb.append((str(announce.id), announce.title))
-        return AnnounceDirectory(announce)
-
 OldRegisterDirectory = wcs.root.RegisterDirectory
 
 class AlternateRegisterDirectory(OldRegisterDirectory):
@@ -757,7 +269,6 @@ class AlternateRootDirectory(OldRootDirectory):
     _q_exports = ['', 'admin', 'backoffice', 'forms', 'login', 'logout',
             'saml', 'register', 'ident', 'afterjobs',
             ('informations-editeur', 'informations_editeur'),
-            ('announces', 'announces_dir'),
             'myspace', 'services', 'categories', 'user',
             ('tmp-upload', 'tmp_upload'), 'json', '__version__',
             'themes', 'pages', 'payment', 'invoices', 'roles',
@@ -765,7 +276,6 @@ class AlternateRootDirectory(OldRootDirectory):
             ('reload-top', 'reload_top'), 'static',
             ('i18n.js', 'i18n_js'), 'actions',]
 
-    announces_dir = AnnouncesDirectory()
     register = AlternateRegisterDirectory()
     login = AlternateLoginDirectory()
     ident = AlternateIdentDirectory()
@@ -909,7 +419,6 @@ class AlternateRootDirectory(OldRootDirectory):
         r += self.myspace_snippet()
         r += self.box_services(position='2nd')
         r += self.consultations()
-        r += self.announces()
         r += htmltext('</div>')
 
         user = get_request().user
@@ -1105,34 +614,6 @@ class AlternateRootDirectory(OldRootDirectory):
     def has_anonymous_access_codes(self):
         return any((x for x in FormDef.select() if x.enable_tracking_codes))
 
-    def announces(self):
-        announces = Announce.get_published_announces()
-        if not announces:
-            return
-
-        r = TemplateIO(html=True)
-        r += htmltext('<div id="announces">')
-        r += htmltext('<h3>%s</h3>') % _('Announces to citizens')
-        for item in announces[:3]:
-            r += htmltext('<div class="announce-item">')
-            r += htmltext('<h4>')
-            if item.publication_time:
-                r += time.strftime(misc.date_format(), item.publication_time)
-                r += ' - '
-            r += item.title
-            r += htmltext('</h4>')
-            r += htmltext('<p>')
-            r += item.text
-            r += htmltext('</p>')
-            r += htmltext('</div>')
-
-        r += htmltext('<ul id="announces-links">')
-        r += htmltext('<li><a href="announces/subscribe">%s</a></li>') % _('Receiving those Announces')
-        r += htmltext('<li><a href="announces/">%s</a></li>') % _('Previous Announces')
-        r += htmltext('</ul>')
-        r += htmltext('</div>')
-        return r.getvalue()
-
     def myspace_snippet(self):
         r = TemplateIO(html=True)
         r += htmltext('<div id="myspace">')
@@ -1183,41 +664,6 @@ get_publisher_class().after_login_url = 'myspace/'
 get_publisher_class().use_sms_feature = True
 
 
-EmailsDirectory.register('announces-subscription-confirmation',
-        N_('Confirmation of Announces Subscription'),
-        N_('Available variables: change_url, cancel_url, time, sitename'),
-        default_subject = N_('Announce Subscription Request'),
-        default_body = N_("""\
-You have (or someone impersonating you has) requested to subscribe to
-announces from [sitename].  To confirm this request, visit the
-following link:
-
-[confirm_url]
-
-If you are not the person who made this request, or you wish to cancel
-this request, visit the following link:
-
-[cancel_url]
-
-If you do nothing, the request will lapse after 3 days (precisely on
-[time]).
-"""))
-
-
-TextsDirectory.register('aq-announces-subscription',
-        N_('Text on announces subscription page'),
-        default = N_('''\
-<p>
-FIXME
-'</p>'''))
-
-TextsDirectory.register('aq-sms-demo',
-        N_('Text when subscribing to announces SMS and configured as demo'),
-        default = N_('''
-<p>
-Receiving announces by SMS is not possible in this demo
-</p>'''))
-
 TextsDirectory.register('aq-editor-info', N_('Editor Informations'))
 TextsDirectory.register('aq-accessibility', N_('Accessibility Statement'))
 TextsDirectory.register('aq-contact', N_('Contact Information'))
diff --git a/auquotidien/modules/template.py b/auquotidien/modules/template.py
index 3b2a3c9..534da82 100644
--- a/auquotidien/modules/template.py
+++ b/auquotidien/modules/template.py
@@ -43,11 +43,6 @@ def render_response(publisher, body):
     elif section == 'consultations':
         section_title = '<h2 id="consultations">%s</h2>\n' % _('Consultations')
         response.filter['bigdiv'] = 'rub_consultation'
-    elif section == 'announces':
-        response.filter['bigdiv'] = 'rub_annonce'
-        section_title = '<h2 id="announces">%s</h2>\n' % _('Announces to citizens')
-        if page_title == _('Announces to citizens'):
-            page_title = ''
     elif section and len(section) > 1:
         # XXX: this works but is not efficient
         if Category.has_urlname(section):
-- 
2.24.0

